Webapp and AngularJS yeoman generator for Apache Cordova.
JavaScript
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
.idea
app
integration
libs
test
.editorconfig
.eslintrc.js
.gitattributes
.gitignore
.jscsrc
.jshintrc
.npmignore
.travis.yml
.yo-rc.json
Gruntfile.js
LICENSE
README.md
package.json

README.md

GrayBullet Cordova Web app generator

Yeoman generator that scaffolds out a front-end Apache Cordova web app, Like Webapp.

Features

For more information on what generator-graybullet-cordova can do for you, take look at then generator-webapp and grunt-cordova-ng.

Getting Started

  • Install: npm install -g generator-graybullet-cordova cordova@4.0.0
  • Run: yo graybullet-cordova
  • Run grunt for building and grunt serve for PC browser preview.

Build Apache Cordova app for generator-webapp@<2.0.0

  • Debug build: grunt build
  • Debug build (Android only): grunt build --cordova-platforms=android
  • Release build: grunt build --cordova-build=release
  • Run emulator: grunt emulate
  • Run machine: grunt run

For more option, take look at then grunt-cordova-ng.

Build Apache Cordova app for generator-webapp@>=2.0.0

  • Debug build: gulp build
  • Debug build (Android only): gulp build --cordova-platforms=android
  • Release build: gulp build --cordova-build=release
  • Run emulator: gulp emulate
  • Run emulator (myavd avd emulator): gulp emulate --cordova-platforms=android --cordova-target=myavd
  • Run machine: gulp run

Options for generator-webapp@<2.0.0

Please look at the generator-webapps's Option section.

Create AngularJS project

[Experimental] Create project with `--webapp=angular' option, generator-angular project.

npm install -g generator-angular
yo graybullet-cordova --webapp=angular

Supported

  • Apache Cordova
    • 4.0.0
    • 4.1.2
    • 4.2.0
    • 4.3.0
    • 5.0.0
    • 5.1.1
    • 5.2.0
    • 5.3.3
    • 5.4.1
    • 6.2.0
    • 6.3.0
  • generator-webapp
    • 0.5.1
    • 1.1.0
    • 2.1.0
  • generator-angular
    • 0.12.1 (Experimental)

You must use cordova@5.4.1, if you use npm@3.

License

MIT License